%define anolis_release 1

Summary: Library providing support for "XML Signature" and "XML Encryption" standards
Name: xmlsec1
Version: 1.2.37
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.aleksey.com/xmlsec/
Source0: https://www.aleksey.com/xmlsec/download/xmlsec1-%{version}.tar.gz

BuildRequires: make
BuildRequires: pkgconfig(libxml-2.0) >= 2.8.0
BuildRequires: pkgconfig(libxslt) >= 1.0.20
BuildRequires: pkgconfig(openssl) >= 1.0.0
BuildRequires: pkgconfig(nss) >= 3.11.1
BuildRequires: pkgconfig(nspr) >= 4.4.1
BuildRequires: libgcrypt-devel >= 1.4.0
BuildRequires: pkgconfig(gnutls) >= 2.8.0
BuildRequires: libtool-ltdl-devel
# autoreconf stuff
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-devel
BuildRequires: libtool
 
%description
XML Security Library is a C library based on LibXML2  and OpenSSL.
The library was created with a goal to support major XML security
standards "XML Digital Signature" and "XML Encryption".
 
%package devel
Summary: Libraries, includes, etc. to develop applications with XML Digital Signatures and XML Encryption support.
Requires: xmlsec1 = %{version}-%{release}
Requires: openssl-devel >= 1.0.0
 
%description devel
Libraries, includes, etc. you can use to develop applications with XML Digital
Signatures and XML Encryption support.
 
%package openssl
Summary: OpenSSL crypto plugin for XML Security Library
Requires: xmlsec1 = %{version}-%{release}
 
%description openssl
OpenSSL plugin for XML Security Library provides OpenSSL based crypto services
for the xmlsec library.
 
%package openssl-devel
Summary: OpenSSL crypto plugin for XML Security Library
Requires: xmlsec1-devel = %{version}-%{release}
Requires: xmlsec1-openssl = %{version}-%{release}
 
%description openssl-devel
Libraries, includes, etc. for developing XML Security applications with OpenSSL
 
%package gcrypt
Summary: GCrypt crypto plugin for XML Security Library
Requires: xmlsec1 = %{version}-%{release}
 
%description gcrypt
GCrypt plugin for XML Security Library provides GCrypt based crypto services
for the xmlsec library.
 
%package gcrypt-devel
Summary: GCrypt crypto plugin for XML Security Library
Requires: xmlsec1-devel = %{version}-%{release}
Requires: xmlsec1-gnutls-devel = %{version}-%{release}
 
%description gcrypt-devel
Libraries, includes, etc. for developing XML Security applications with GCrypt.
 
%package gnutls
Summary: GNUTls crypto plugin for XML Security Library
Requires: xmlsec1 = %{version}-%{release}
 
%description gnutls
GNUTls plugin for XML Security Library provides GNUTls based crypto services
for the xmlsec library.
 
%package gnutls-devel
Summary: GNUTls crypto plugin for XML Security Library
Requires: xmlsec1-devel = %{version}-%{release}
Requires: xmlsec1-openssl-devel = %{version}-%{release}
Requires: gnutls-devel >= 1.0.20
 
%description gnutls-devel
Libraries, includes, etc. for developing XML Security applications with GNUTls.
 
%package nss
Summary: NSS crypto plugin for XML Security Library
Requires: xmlsec1 = %{version}-%{release}
 
%description nss
NSS plugin for XML Security Library provides NSS based crypto services
for the xmlsec library
 
%package nss-devel
Summary: NSS crypto plugin for XML Security Library
Requires: xmlsec1-devel = %{version}-%{release}
Requires: xmlsec1-nss = %{version}-%{release}
 
%description nss-devel
Libraries, includes, etc. for developing XML Security applications with NSS.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.
 
%prep
%autosetup -n %{name}-%{version} -p1
 
%build
autoreconf -vfi
%configure --disable-static
%make_build V=1
 
# positively ugly but only sane way to get around #192756
sed 's+/lib64+/$archlib+g' < xmlsec1-config | sed 's+/lib+/$archlib+g' | sed 's+ -DXMLSEC_NO_SIZE_T++' > xmlsec1-config.$$ && mv xmlsec1-config.$$ xmlsec1-config
 
%install
%make_install
# move installed docs to include them in -devel package via %%doc magic
rm -rf __tmp_doc ; mkdir __tmp_doc
mv %{buildroot}%{_docdir}/xmlsec1/* __tmp_doc
%generate_compatibility_deps
 
%files
%license Copyright
%{_mandir}/man1/xmlsec1.1*
%{_libdir}/libxmlsec1.so.*
%{_bindir}/xmlsec1
%dir %{abidir}
%{abidir}/libxmlsec1.dump
%{abidir}/xmlsec1-option.list
 
%files devel
%{_bindir}/xmlsec1-config
%dir %{_includedir}/xmlsec1
%dir %{_includedir}/xmlsec1/xmlsec
%{_includedir}/xmlsec1/xmlsec/*.h
%{_libdir}/libxmlsec1.so
%{_libdir}/pkgconfig/xmlsec1.pc
%{_libdir}/xmlsec1Conf.sh
%{_datadir}/aclocal/xmlsec1.m4
%{_mandir}/man1/xmlsec1-config.1*
%doc HACKING __tmp_doc/*
%{abidir}/xmlsec1-config-option.list
 
%files openssl
%{_libdir}/libxmlsec1-openssl.so.*
%{_libdir}/libxmlsec1-openssl.so
%{abidir}/libxmlsec1-openssl.dump
 
%files openssl-devel
%{_includedir}/xmlsec1/xmlsec/openssl/
%{_libdir}/pkgconfig/xmlsec1-openssl.pc
 
%files gcrypt
%{_libdir}/libxmlsec1-gcrypt.so.*
%{_libdir}/libxmlsec1-gcrypt.so
%{abidir}/libxmlsec1-gcrypt.dump
 
%files gcrypt-devel
%{_includedir}/xmlsec1/xmlsec/gcrypt/
%{_libdir}/pkgconfig/xmlsec1-gcrypt.pc
 
%files gnutls
%{_libdir}/libxmlsec1-gnutls.so.*
%{_libdir}/libxmlsec1-gnutls.so
%{abidir}/libxmlsec1-gnutls.dump
 
%files gnutls-devel
%{_includedir}/xmlsec1/xmlsec/gnutls/
%{_libdir}/pkgconfig/xmlsec1-gnutls.pc
 
%files nss
%{_libdir}/libxmlsec1-nss.so.*
%{_libdir}/libxmlsec1-nss.so
%{abidir}/libxmlsec1-nss.dump
 
%files nss-devel
%{_includedir}/xmlsec1/xmlsec/nss/
%{_libdir}/pkgconfig/xmlsec1-nss.pc

%files doc
%doc AUTHORS ChangeLog NEWS
 
%changelog
* Wed Mar 15 2023 happy_orange <songnannan@linux.alibaba.com> - 1.2.37-1
- init package
